$ErrorActionPreference = 'Stop';

$packageName= 'invantive-data-hub'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-20.2.245.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-20.2.245.msi'
  softwareName = 'Invantive Data Hub'
  checksum = '29E6E1EAC1A5E78B5C1570BCA39E288AB81734EFDB46EEDDFD6A73EAFE5FF009'
  checksumType = 'sha256'
  checksum64 = '29E6E1EAC1A5E78B5C1570BCA39E288AB81734EFDB46EEDDFD6A73EAFE5FF009'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-data-hub-20.2.245-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
